FSCK.FAT(8)

NUME
fsck.fat - verifică și repară sistemele de fișiere MS-DOS FAT

SINOPSIS
fsck.fat [OPȚIUNI] DISPOZITIV

DESCRIERE
fsck.fat verifică consistența sistemelor de fișiere MS-DOS și, opțional, încearcă să le repare.

Următoarele probleme ale sistemului de fișiere pot fi corectate (în această ordine):

•   FAT conține numere de clustere nevalide. Clusterul este schimbat în EOF.

•   Lanțul de clustere al fișierului conține o buclă. Bucla este întreruptă.

•   Clustere defectuoase (erori de citire). Clusterele sunt marcate ca fiind defectuoase și sunt eliminate din fișierele care le dețin. Această verificare este opțională.

•   Directoare cu un număr mare de intrări greșite (probabil corupte). Directorul poate fi șters.

•   Fișierele . și ... nu sunt directoare. Acestea pot fi șterse sau redenumite.

•   Directoare . și .. în directorul rădăcină. Acestea sunt șterse.

•   Nume de fișiere greșite. Acestea pot fi redenumite.

•   Intrări duplicate în directoare. Acestea pot fi șterse sau redenumite.

•   Directoare cu un câmp de dimensiune diferită de zero. Dimensiunea este fixată la zero.

•   Directorul . nu indică directorul părinte. Se ajustează indicatorul de start.

•   Directorul ... nu indică un director părinte al directorului părinte. Se ajustează indicatorul de start.

•   . și .. nu sunt primele două intrări dintr-un director care nu este rădăcină. Se creează intrările, mutând sloturile ocupate dacă este necesar.

•   Numărul clusterului de început al unui fișier nu este valid. Fișierul este trunchiat.

•   Fișierul conține clustere defectuoase sau libere. Fișierul este trunchiat.

•   Lanțul de clustere al fișierului este mai lung decât cel indicat de câmpurile de dimensiune. Fișierul este trunchiat.

•   Două sau mai multe fișiere împart același cluster (clustere). Toate fișierele, cu excepția unuia, sunt trunchiate. În cazul în care fișierul trunchiat este un fișier de director care a fost deja citit, verificarea sistemului de fișiere este reluată după trunchiere.

•   Lanțul de clustere al fișierului este mai scurt decât cel indicat de câmpurile de dimensiune. Fișierul este trunchiat.

•   Eticheta volumului din directorul rădăcină sau eticheta din sectorul de pornire nu este valabilă. Etichetele nevalabile sunt eliminate.

•   Eticheta volumului din directorul rădăcină și eticheta din sectorul de pornire sunt diferite. Eticheta volumului din directorul rădăcină este copiată în sectorul de pornire.

•   Clusterele sunt marcate ca fiind utilizate, dar nu sunt deținute de un fișier. Ele sunt marcate ca fiind libere.

În plus, următoarele probleme sunt detectate, dar nu sunt reparate:

•   Parametrii nevalabili în sectorul de pornire

Atunci când fsck.fat verifică un sistem de fișiere, acesta acumulează toate modificările în memorie și le efectuează numai după ce toate verificările sunt finalizate. Acest lucru poate fi dezactivat cu ajutorul opțiunii -w.

Sunt acceptate două variante diferite ale sistemului de fișiere FAT. Standard este sistemul de fișiere FAT12, FAT16 și FAT32, așa cum a fost definit de Microsoft și utilizat pe scară largă pe discurile dure și pe suporturile amovibile, cum ar fi stick-urile USB și cardurile SD. Cealaltă este varianta Atari tradițională, utilizată pe Atari ST.

Există unele diferențe minore în formatul ATARI: unele câmpuri ale sectorului de pornire sunt interpretate ușor diferit, iar intrările speciale FAT pentru sfârșitul fișierului și clusterul defectuos pot fi diferite. Sub MS-DOS 0xfff8 este utilizat pentru EOF și Atari folosește 0xffff în mod implicit, dar ambele sisteme recunosc toate valorile de la 0xfff8 (en0xffff ca sfârșit de fișier. MS-DOS folosește doar 0xfff7 pentru clustere defectuoase, unde pe Atari valorile 0xfff00XFFF7 sunt în acest scop (dar valoarea standard este totuși 0xfff7).

OPȚIUNI

-a  Repară automat sistemul de fișiere. Nu este necesară intervenția utilizatorului. Ori de câte ori există mai multe metode de rezolvare a unei probleme, se folosește cea mai puțin distructivă abordare.

-A  Selectează utilizarea variantei Atari a sistemului de fișiere FAT, dacă nu este deja activ, altfel selectează sistemul de fișiere FAT standard. Acesta este selectat în mod implicit dacă mkfs.fat este rulat pe 68k Atari Linux.

-b  Efectuează o verificare a sectorului de pornire în regim de numai-citire.

-c PAGINA
    Utilizează pagina de cod DOS I pentru a decodifica numele scurte de fișiere. În mod implicit, se utilizează pagina de cod 850.

-d RUTA
    Șterge fișierul specificat. Dacă există mai mult de un fișier cu acest nume, se șterge primul. Această opțiune poate fi dată de mai multe ori.

-f  Salvează lanțurile de clustere neutilizate în fișiere. În mod implicit, clusterele neutilizate sunt adăugate la spațiul liber de pe disc, cu excepția modului automat (-a).

-F NUM
    Specifică tabelul FAT NUM pentru accesul la sistemul de fișiere. În mod implicit, se presupune valoarea 0 și apoi se alege prima tabelă FAT necoruptă. Necorupt înseamnă că tabela FAT are primul cluster valid. Dacă se utilizează valoarea implicită 0 și toate tabelele FAT sunt corupte, atunci fsck.fat renunță și nu încearcă să repare sistemul de fișiere FAT. Dacă este specificată o valoare NUM diferită de zero, atunci fsck.fat utilizează tabela FAT NUM pentru repararea sistemului de fișiere FAT. Dacă tabelul FAT NUM a corupt primul cluster, atunci fsck.fat îl va repara. În orice caz, dacă sistemul de fișiere FAT are mai multe tabele FAT, atunci conținutul reparat al tabelei FAT alese este copiat în celelalte tabele FAT. Pentru a repara primul cluster corupt, este necesar să se apeleze fsck.fat cu o valoare NUM diferită de zero.

-l  Listează numele rutelor fișierelor în curs de procesare.

-n  Modul fără operare: verifică în mod non-interactiv dacă există erori, dar nu scrie nimic în sistemul de fișiere.

-p  La fel ca -a, pentru compatibilitate cu alte *fsck.

-r  Repară interactiv sistemul de fișiere. Utilizatorului i se cere sfatul ori de câte ori există mai mult de o abordare pentru repararea unei inconsistențe. Acesta este modul implicit, iar opțiunea este păstrată doar pentru compatibilitate retroactivă.

-S  Consideră numele de fișiere scurte (8.3) cu spații la mijloc ca fiind nevalide, așa cum făceau versiunile anterioare ale acestui program. Deși astfel de nume de fișiere nu sunt interzise de specificația FAT și nu au fost niciodată tratate ca erori de către instrumentele de verificare a sistemului de fișiere Microsoft, multe programe DOS nu pot gestiona fișiere cu astfel de nume. Utilizarea acestei opțiuni le poate face accesibile pentru aceste programe.

    Numele scurte de fișiere care încep cu un spațiu sunt considerate nevalide indiferent de utilizarea acestei opțiuni.

    Versiunile anterioare ale acestui program au tratat în mod excepțional EA DATA. SF și WP ROOT. SF ca nume scurte valide; utilizarea acestei opțiuni nu păstrează această excepție.

-t  Marchează clusterele care nu pot fi citite ca fiind defectuoase.

-u RUTA
    Încearcă să restabilească fișierul specificat. fsck.fat încearcă să aloce un lanț de clustere nealocate contigue, începând cu clusterul de început al fișierului restaurat. Această opțiune poate fi dată de mai multe ori.

-U  Consideră volumele și etichetele de pornire cu litere mici ca fiind nevalide și permite numai caractere majuscule. Astfel de etichete sunt interzise de specificația FAT, dar sunt utilizate pe scară largă de instrumentele Linux. În plus, sistemele MS-DOS și Windows nu au probleme în a le citi. Prin urmare, etichetele de volum și de pornire cu caractere minuscule sunt permise în mod implicit.

-v  Modul descriptiv. Generează ceva mai multe rezultate.

-V  Efectuează o trecere de verificare. Verificarea sistemului de fișiere se repetă după prima execuție. A doua trecere nu ar trebui să raporteze niciodată erori care pot fi remediate. Este posibil să dureze considerabil mai mult decât prima trecere, deoarece prima trecere poate să fi generat o listă lungă de modificări care trebuie să fie scanate la fiecare citire a discului.

--variant TIP
    Creează un sistem de fișiere cu varianta TIP. Valorile acceptabile sunt standard și atari (în orice combinație de majuscule/minuscule). Pentru diferențe, a se vedea mai sus, la secțiunea DESCRIERE.

-w  Scrie imediat modificările pe disc.

-y  La fel ca -a (repară automat sistemul de fișiere) pentru compatibilitate cu alte instrumente fsck.

--help
    Afișează un mesaj de ajutor care descrie utilizarea și opțiunile, apoi iese.

STARE DE IEȘIRE

0   Nu au fost detectate erori recuperabile.

1   Au fost detectate erori recuperabile sau fsck.fat a descoperit o inconsistență internă.

2   Eroare de utilizare. fsck.fat nu a accesat sistemul de fișiere.

FIȘIERE

fsck0000.rec, fsck0001.rec, ...
    La recuperarea unui sistem de fișiere corupt, fsck.fat descarcă datele recuperate în fișiere numite fsckNNNN.rec în directorul de nivel superior al sistemului de fișiere.

ERORI

•   Nu elimină directoarele complet goale.

•   Ar trebui să ofere mai multe mesaje de diagnosticare.

•   Recuperarea fișierelor ar trebui să utilizeze un algoritm mai sofisticat.

CONSULTAȚI ȘI
fatlabel(8), mkfs.fat(8)

PAGINA WEB PRINCIPALĂ
Pagina principală a proiectului dosfstools este pagina proiectului GitHub (https://github.com/dosfstools/dosfstools).

AUTORI
dosfstools au fost scrise de Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de), și alții. Actualii menținători sunt Andreas Bombe (aeb@debian.org) și Pali Rohár (pali.rohar@gmail.com),

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.